History
=======

## 1.3.0

- [publish] Add puppet 7 support to the metadata
- [installiib] default lookup password value added
- [core] Generate passwords for unspecfied passwords

## 1.2.2

[software] Make default for file_name parameter undef

## 1.2.1

- [software] Make data type of variable source location less restrictive
- [ace] Add support for fixpack 4

## 1.2.0

- [software] Update allowed fixpacks
- [software] Fix usage with known file names
- [software] Add support for ACE 11.1

## 1.0.15

- [software] Fix installation when patchlevel is below 10.0.0.8
- [autostart] Use FP10 for acceptance test
- [core] Update reference to camptocamp-systemd

## 1.0.14

- [software] Add support for version 11 and version 10 patchlevels upto 14
- [core] Allow archive module version 3.0.0 and higher
- [release] Fix metadata information
- [core] Rubocop correct
- [sync] Enable PuppetLint
- [iib_full_version] Fix rubocop and fasterer message

## 1.0.13

- [iib_full_version] Fix error when unreadable version or build is returned

## 1.0.12

- [tasks] Add restart tasks
- [tasks] Add start task
- [tasks] Add status task
- [tasks] Add stop task

## 1.0.11

- [release] Add license notce, license text and readme
- [release] Always install spec_helper

## 1.0.10

- [os] Fix password setting for iibadmi user
- [release] Make some gems optional for rake
- [quality] Fix rubocop issue

## 1.0.9

- [software] Add support for Fixpack 11

## 1.0.8

- [autostart] Initial implementation for RHEL 6 and 7
- [software] Fix compatibility with Puppet version 4.4 and lower
- [software] Better checks and better warnings
- [software] Fix error in compile when fact not set (Initial run)

## 1.0.7

- [software] Add support for Fixpack 10

## 1.0.6

- [software] Add support for puppet urls

## 1.0.5

- [software] Added support for patch_level 9

## 1.0.4

- [core] Removed bindings and added type

## 1.0.3

- [os] Add mqm group creation

## 1.0.2

- [core] Fix bindings
- [facts] Remove debug puts

## 1.0.1

- [core] Added bindings

## 1.0.0

- [docs] Added documentation
- [facts] Improve the version detection
- [facts] Add support to symbolic links for iib_full_versions

## 0.0.2

- [software] Change default for install_root to /opt/IBM
- [os] Manage user home and add add group mqm
- [installiib] Make password configurable
- [os] Fix puppet naming error
- [software] Add support for multiple versions
- [software] Add support for fixpack 8
- [software] Make Puppet title for license acceptance more specific

## 0.0.1

- [installiib] Initial version
