#
# See the file "LICENSE" for the full license governing this code.
#
require 'pathname'
$LOAD_PATH.unshift(Pathname.new(__FILE__).dirname.parent.parent)
$LOAD_PATH.unshift("#{Pathname.new(__FILE__).dirname.parent.parent.parent.parent}easy_typelib")
require 'easy_type'

Puppet::Type.newtype(:iib_install) do
  include EasyType
  def self.module_name
    'iib_install'
  end

  desc <<-HELP
  Setup the IIB installer.
  HELP

  ensurable

  to_get_raw_resources do
    []
  end

  parameter :name
end
